Network Lookup Service

The Network Lookup Service allows you to identify the carrier and time zone associated with a given phone number. This can be particularly useful for validating mobile network operators before processing transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

Request Headers

  • Content-Type: application/json
  • Authorization: Bearer YOUR_ACCESS_TOKEN​
    Refer to this link to fetch the token.

Request Body Parameters

ParameterTypeDescriptionRequired
countryCodestringCountry ISO code letter, i.e., KE,GH,TZyes
numberstringCustomer mobile numberyes

Sample Request

curl --location 'https://api-dev.tingg.africa/v4/remittance/payments/network-lookup' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--data '{
    "countryCode": "KE",
    "number": "254775850798"
}'

Response

Response Parameters

  • carrier (string): The name of the mobile network operator associated with the provided phone number.​
  • timeZone (string): The time zone corresponding to the phone number's region.

Sample Response

{
    "carrier": "Telkom",
    "timeZone": "Africa/Nairobi"
}
{
    "data": null,
    "message": "Jwt expired at 2025-04-04T08:42:27Z",
    "success": false,
    "statusCode": 131
}
{
    "errorCode": 400,
    "errorDescription": "The string supplied did not seem to be a phone number."
}
Body Params
string
Headers
string
Defaults to Bearer eyJraWQiOiJjYXMtcGsiLCJhbGciOiJSUzUxMiJ9.eyJzdWIiOiI4MTQyNyIsInBhcmVudCI6IkFETUlOIiwibGV2ZWwiOiJSRVNFTExFUiIsImlzcyI6Imh0dHA6Ly9jYXMtYXBpLnByb2R1Y3Rpb246ODA4MC8iLCJ1dHlwZSI6IkFQSSIsImF1ZCI6IioiLCJuYW1lIjoid2FsazRjYXNoX2NhbGxiYWNrIiwiY2xpZW50IjoiV0FMSzRDQVNIIiwiZXhwIjoxNzUxNTQ5MDIzLCJpYXQiOjE3NTE1NDU0MjMsImN1c3RfaWQiOjExMzkwLCJqdGkiOiI2NTI0MzZiMy1mNmNjLTQxMzUtOGM4My1lM2Y4ZjY1ZDJiYWYyYjYxNmFkZi01MWM5LTQ1MjEtYjhhZi01MTc1OTE2OGZmZTMifQ.TRQC9LWXf7BFeLJKP5_PkyCimf92EUqFCa8K8MIY4G6_eDgrXhgq7HPOFDr12L2fY8P_uWJ9wM7lu6PbkpV_dTN1-cXzeKF0A-K6el6qqgG_AFJsspXhFX5iP1ZZ6_VccpyirDBd3ib-fu0MRLwz83Ut1MF0Xq8JAPSyfU2k7l8Cffew6sT5p3vx25fCRYT97GToNIpnGJWIhYAOcfLhx4QDiP8Ql_rNqdaMVQgzLUU5p-VngXvIRLRhq_zC7no6yXlEijjcOjSGkQojlo8QMdwNnndBSoq3AfCiIU2N4Is2fe-Gxl3AS0e_UbsEAPukNTnIJF7i-GT3eOFS7vHNSA
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json